# Enhanced build of CKEditor 5 for Strapi

Enhanced build of [CKEditor 5](https://github.com/ckeditor/ckeditor5) to replace default [Strapi](https://github.com/strapi/strapi) WYSIWYG editor.

![ckeditor5-build-strapi-wysiwyg demo screenshot](/demo/demo.png)

[👀 **Live Demo**](https://roslovets-inc.github.io/ckeditor5-build-strapi-wysiwyg/)

## Features

- Enhanced build of CKEditor 5 with more capabilities then Classic Editor build has
- Extensive set of features for your rich content
- Automatically upload Inserted images to Strapi Media Library (thanks to [ckeditor5-strapi-upload-plugin](https://github.com/gtomato/ckeditor5-strapi-upload-plugin))
- Access Strapi Media Library directly from the editor toolbar 🔥
- Full screen mode 🔥

## How to try

Check out [👀 **live demo**](https://roslovets-inc.github.io/ckeditor5-build-strapi-wysiwyg/) where you can test most of the features.

## How to try manually

1. Clone repository and change directory

```
git clone https://github.com/Roslovets-Inc/ckeditor5-build-strapi-wysiwyg
cd ckeditor5-build-strapi-wysiwyg
```

2. Install dependencies and build CKEditor (automatically)

```
npm i
```

3. Open **demo/index.html** in your system browser.

## How to use

Just install to your Strapi [strapi-plugin-ckeditor5](https://github.com/Roslovets-Inc/strapi-plugin-ckeditor5) plugin based on this build (recommended).

If you want to integrate the build manually examine [strapi-plugin-ckeditor5](https://github.com/Roslovets-Inc/strapi-plugin-ckeditor5) source code as an integration example.

## How to add more features to the editor

If you want to see more features in this build feel free to request it in [issues](https://github.com/Roslovets-Inc/ckeditor5-build-strapi-wysiwyg/issues) or create pull request. Together we will build a comprehensive editor for common needs.

## Links

- [NPM package](https://www.npmjs.com/package/ckeditor5-build-strapi-wysiwyg)
- [GitHub repository](https://github.com/Roslovets-Inc/ckeditor5-build-strapi-wysiwyg)

## ⭐️ Show your support

Give a star if this project helped you.
